#include "gpio.h"

#define BIT(b)	(1UL<<(b))
#define _BV(b)	(1UL<<(b))

//adc pins
#define ADC_PIN_U	B, 0, H//ADC1_IN8
#define ADC_PIN_I	B, 1, H//ADC1_IN9


//-DAC-
#define DAC_PIN_U 	A, 4, H//B, 0, H
#define DAC_PIN_I 	A, 5, H//B, 1, H

//lcd
#define RS_PIN		B, 3, H
//#define RW_PIN		A, 1, H	//without read, pin connect gnd
#define E_PIN		A, 15, H
#define DB4_PIN		B, 5, H
#define DB5_PIN		B, 4, H
#define DB6_PIN		B, 7, H
#define DB7_PIN		B, 6, H

//pin encoder
#define T3_CH1		A, 6, H
#define T3_CH2		A, 7, H


//buttons
#define BTN_POWER		B, 10, L 	
#define BTN_ENTER		B, 11, L
#define BTN_ENCODER		B, 2, L

//
#define LED_MODE_U	B,13,H	//  //  
#define LED_MODE_I	B,12,H	//  //  
#define LED_POWER	B,14,H	// 

//---DS18B20----
//#define DS_POWER_ON	C, 10, H
#define DS_PWIRE_0	A, 8, L
#define DS_PWIRE_1	B, 15, L
#define PWIRE_0		_BV(0)
#define PWIRE_1		_BV(1)

#define PWM_FAN			A, 2, H	//TIM2_CH3,   TIM15_CH1
#define PWM_BGLED		A, 1, H

/*
#define BIT(b)	(1UL<<(b))
#define _BV(b)	(1UL<<(b))

//adc pins
#define ADC_PIN_U	B, 0, H//ADC1_IN8
#define ADC_PIN_I	B, 1, H//ADC1_IN9
#define USR_ADC_DATA	200

//lcd
#define RS_PIN		A, 3, H
#define RW_PIN		A, 1, H
#define E_PIN		A, 2, H
#define DB4_PIN		C, 0, H
#define DB5_PIN		C, 1, H
#define DB6_PIN		C, 2, H
#define DB7_PIN		C, 3, H

//btn_encoder

//pin encoder
#define T3_CH1		A, 6, H
#define T3_CH2		A, 7, H

//-DAC-
#define DAC_PIN_U 	A, 4, H
#define DAC_PIN_I 	A, 5, H

#define BTN_POWER		A, 5, H 	//  
//#define BTN_POWER		A, 0, H 	//  
#define BTN_ENCODER		C, 4, L
#define BTN_ENTER		C, 5, L


#define DAC_U_REGISTR	DAC->DHR12R1
#define DAC_I_REGISTR	DAC->DHR12R2

//
#define LED_MODE_U	C,8,H	//  //  
#define LED_MODE_I	C,9,H	//  //  
#define LED_POWER	C,7,H	// 

//---DS18B20----
#define DS_POWER_ON	C, 10, H
#define DS_PWIRE_0	C, 11, H
#define DS_PWIRE_1	C, 12, H
#define PWIRE_0		_BV(0)
#define PWIRE_1		_BV(1)
*/

