#include "commonfile.h"
#include <pwm.h>

//TIM2
void tim_pwm_init(void){
//  
//	#define PWM_COOLER		A, 0, H	
//	RCC->APB2ENR|=RCC_APB2ENR_IOPAEN;
//	pmode(PWM_COOLER, PIN_CFG_APP_10MHZ);

//1.	   (, , ).
	RCC->APB1ENR|=RCC_APB1ENR_TIM2EN;// 
	TIMX->PSC=0;//fCK_PSC/(PSC + 1);     PSC=(( ) / ( (1/fCK_PSC)*ARR ))-1
//2.	      TIMx_ARR  TIMx_CCRx.
	TIMX->ARR=PWM_FAN_MAX_VALUE;//      
	//TIMX->CCR1=5;//  PWM
//3.  CCxIE / CCxDE ,   /  DMA  .

//4.    (output mode).
	//PWM mode 1  3 
#define PWM_FROZEN	0
#define PWM_MODE_1	(TIM_CCMR2_OC3M_2 | TIM_CCMR2_OC3M_1)
#define PWM_INACTIVE_LEVEL	TIM_CCMR2_OC3M_2	//Force inactive level
	TIMX->CCMR2= PWM_INACTIVE_LEVEL ;
//5.     
	TIMX->CCER|= TIM_CCER_CC3E | TIM_CCER_CC3P;    /*output enable, output Polarity - OC1 active low*/

	TIMX->EGR|=TIM_EGR_UG;//  
	
	TIMX->CR1|=TIM_CR1_CEN;// 
}

void pwm_fan_off(void){
	TIMX->CCMR2= PWM_INACTIVE_LEVEL ;
}

void pwm_fan_on(void){
	TIMX->CCMR2= PWM_MODE_1 ;
}

/*
void pwm_bgled_off(void){
	TIMX->CCER&=~TIM_CCER_CC2E;
	TIMX->CCR2=0;
	off(PWM_BGLED);
}
void pwm_bgled_on(void){
	TIMX->CCER|= TIM_CCER_CC2E;
}
*/

/*
PWM edge-aligned mode
If the compare value is 0 then OCxREF is held at 0.
TIMx_CR1 -  ,  ,   ..
TIMx_CR2 -  .  1(  slav),   ,  DMA  \
TIMx_SMCR - slave mode control 
TIMx_DIER - DMA/Interrupt enable register
TIMx_SR - status register
TIMx_EGR - event generation register
TIMx_CCMR1(2) -   capture/compare mode register 4 
TIMx_CCER -    
TIMx_CNT - counter 16 
TIMx_PSC - prescaler The counter clock frequency CK_CNT is equal to fCK_PSC / (PSC[15:0] + 1).
TIMx_ARR - auto-reload register 
TIMx_CCR1 -  capture/compare register
TIMx_DCR - DMA control register
TIMx_DMAR - address for full transfer 
*/
