#include "adc.h"
#include "commonfile.h"

/*
void ADC1_IRQHandler(void){//ADC1_IRQHandler-   startup_stm32f10x_ld_vl.s
	ADC_SR&=~ADC_SR_AWD;
	
}
*/

void adc_init(void){
/*
    SR   ,    .
    CR1, CR2   ,   .
    SMPR1, SMPR2    .
    JOFR1JOFR2        (,      ).
    HTR, LTR         .
    SQR1SQR3      .
    JSQR      .
    JDR1JDR4     .
    DR     .
*/
		
	/*  .
	   
	1        ,     .
	2   , 
	3   CR1
		DISCNUM -  -    .    .
		DISCEN -   , 
			    .   (    L  SQR1)
			    DISCNUM 
		EOCIE -      EOC
	4   CR2
		EXTTRIG     
		EXTSEL    
		CAL  ,      
		ADON  ,       .
	5 SMPR1 SMPR2
		  
	6 SQR1 ()
		    ,  L   .
		,     SQ1[4:0]   
	7 DR
		
	*/
	

//	RCC->APB2ENR |= RCC_APB2ENR_IOPAEN;    //    PORTA
//	pmode(ADC_PIN_U, PIN_CFG_AI);				//    ,       !
//	pmode(ADC_PIN_I, PIN_CFG_AI);				//    ,       !
	
	
	RCC->APB2ENR|=RCC_APB2ENR_ADC1EN;//   

	//ADC1->CR1 |=  ADC_CR1_DISCEN;//Discontinuous mode on regular channels enabled
	//ADC1->CR1 &= ~ADC_CR1_DISCNUM;//    
	
	//ADC1->CR2 |=  ADC_CR2_EXTTRIG; //External trigger conversion mode for regular channels ENABLE
	//ADC1->CR2 |=  ADC_CR2_EXTSEL; //111: SWSTART
	////ADC1->CR2 |=  ADC_CR2_SWSTART; /*!< Start Conversion of regular channels   */
	
	//ADC1->SMPR1 |= ADC_SMPR1_SMP15; //max time conversion 111: 239.5 cycles
	
	
	//ADC1->SQR1 &= ~ADC_SQR1_L; /*!< L[3:0] bits (Regular channel sequence length)    1 */ 
	
	//      
	//ADC1->SQR3 = (ADC1->SQR3 & ~ADC_SQR3_SQ1) | ADC_SQR3_SQ1_3|ADC_SQR3_SQ1_2|ADC_SQR3_SQ1_1|ADC_SQR3_SQ1_0;// 15 kanal 0b0000 1111
	
	ADC1->SMPR2=ADC_SMPR2_SMP8|ADC_SMPR2_SMP9;//max time conversion 111: 239.5 cycles
	ADC1->CR2 =  ADC_CR2_JEXTTRIG | ADC_CR2_JEXTSEL_0|ADC_CR2_JEXTSEL_1|ADC_CR2_JEXTSEL_2| ADC_CR2_CONT; //  JSWSTART
	ADC1->JSQR = ADC_JSQR_JL_0 | ADC_JSQR_JSQ3_3  | ADC_JSQR_JSQ4_3|ADC_JSQR_JSQ4_0;//2 conversions order - JSQ3[4:0] >> JSQ4[4:0] 
	// JSQR_JSQ3_3==8ch;  JSQR_JSQ4==9ch
ADC1->CR2|=ADC_CR2_ADON;// .	
	
	ADC1->CR2|=ADC_CR2_RSTCAL;	
	while(ADC1->CR2 & ADC_CR2_RSTCAL);

	ADC1->CR2|=ADC_CR2_CAL;        // A/D Calibration /
	while(ADC1->CR2 & ADC_CR2_CAL);
	//ADC1->CR2|=ADC_CR2_ADON;// . Before starting a calibration the ADC must have been in power-off state (ADON bit = 0) for at least two ADC clock cycles.
	
ADC1->CR1|= ADC_CR1_JAUTO|ADC_CR1_SCAN;
	ADC1->CR2|= ADC_CR2_JSWSTART| ADC_CR2_CONT;
	//      
	ADC1->CR1|= ADC_CR1_AWDSGL | ADC_CR1_JAWDEN | ADC_CR1_AWDCH_3|ADC_CR1_AWDCH_0;//| ADC_CR1_AWDIE
			//  1         |    |   //|  

	NVIC_EnableIRQ(ADC1_IRQn);
	//NVIC_DisableIRQ();
}

void dac_init(void){
	//RCC->APB2ENR|=RCC_APB2ENR_IOPAEN;//     
	//pmode(DAC_PIN_U,PIN_CFG_AI);//     
	//pmode(DAC_PIN_I,PIN_CFG_AI);//     
	RCC->APB1ENR|=RCC_APB1ENR_DACEN;//   
	//DAC->CR = DAC_CR_EN1 | DAC_CR_EN2;// | DAC_CR_BOFF1 | DAC_CR_BOFF2;//| DAC_CR_TSEL1; //  
	
	//DAC->CR = DAC_CR_TEN1;//DAC channel1 Trigger enable 
	//DAC->CR|= DAC_CR_WAVE1_1;//triangle wave generation enable
	DAC->CR|= DAC_CR_EN1 | DAC_CR_EN2 | DAC_CR_BOFF1 | DAC_CR_BOFF2;
}

/*
ADC1->CR1
	ADC_CR1_JAWDEN	-	JAWDEN: Analog watchdog enable on injected channels
	ADC_CR1_AWDIE	-	AWDIE: Analog watchdog interrupt enable 
	ADC_CR1_AWDCH_0	-	AWDCH[4:0]: Analog watchdog channel select bits 
	ADC_CR1_AWDSGL	-	AWDSGL		Enable the watchdog on a single channel in scan mode

ADC1->CR2 =  ADC_CR2_JEXTTRIG | ADC_CR2_JEXTSEL_0|ADC_CR2_JEXTSEL_1|ADC_CR2_JEXTSEL_2| ADC_CR2_CONT;
	ADC_CR2_CONT - Continuous conversion mode
	ADC_CR2_JEXTTRIG - External Trigger Conversion mode for injected channels
	ADC_CR2_JEXTSEL_0 - External event select for injected group
	

ADC1->JSQR = ADC_JSQR_JL_0 | ADC_JSQR_JSQ3_3  | ADC_JSQR_JSQ4_3|ADC_JSQR_JSQ4_0;//2 conversions order - JSQ3[4:0] >> JSQ4[4:0] 
	ADC_JSQR_JL_0..1 -  Injected sequence length
	ADC_JSQR_JSQ4_0 -    4   
*/

