#include "lcd_f.h"
#include "lph.h"

void lcd_puts_yx(uint8_t *s, uint32_t size, uint32_t x, uint32_t y)
{	
	lcd_set_address(x,y);
	for ( ; size; size--)
		lcd_write_data(*(s++));
}

void itoa2(int32_t Val, uint32_t * Buf)
{
const uint16_t step[BCD_SIZEOF]={1000,100,10,1};
int16_t Subtract, Value;
uint8_t i, Dig;

	Value=Val;
	for (i=0; i<BCD_SIZEOF; i++)
	{
	Subtract=step[i];
	Dig='0';
	while(Value >= Subtract)
		{
		Dig++;
		Value-=Subtract;
		}
	Buf[(BCD_SIZEOF-1)-i]=Dig;
	}
}

/*
void puts_lcd(uint8_t * j){
	for ( ; *j; j++) lcd_write_data(*j);
}
*/
/*
void blank(uint8_t count, uint8_t x, uint8_t y){
	lcd_set_address(x,y);
	for( ; count; count--) lcd_write_data(' ');
}

void lcd_clear_area(uint8_t size, uint8_t x, uint8_t y)
{	
	lcd_set_address(x,y);
	for ( ; size; size--)
		lcd_write_data(' ');
}
*/
//enum DigitGrade{N10_4,N10_3,N10_2,N10_1,N10_0};
